org.apache.lucene.index

## Class ExitableDirectoryReader.ExitableFilterAtomicReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.index.FilterLeafReader
      - - org.apache.lucene.index.ExitableDirectoryReader.ExitableFilterAtomicReader

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    ExitableDirectoryReader

      public static class ExitableDirectoryReader.ExitableFilterAtomicReader
      extends FilterLeafReader

  Wrapper class for another FilterAtomicReader. This is used by ExitableSubReaderWrapper.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterLeafReader

      `FilterLeafReader.FilterFields, FilterLeafReader.FilterPostingsEnum, FilterLeafReader.FilterTerms, FilterLeafReader.FilterTermsEnum`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.CacheHelper, IndexReader.CacheKey, IndexReader.ClosedListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterLeafReader

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExitableFilterAtomicReader(LeafReader in, QueryTimeout queryTimeout)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryDocValues` | `getBinaryDocValues(String field)` Returns `BinaryDocValues` for this field, or null if no binary doc values were indexed for this field.
    `IndexReader.CacheHelper` | `getCoreCacheHelper()` Optional method: Return a `IndexReader.CacheHelper` that can be used to cache based on the content of this leaf regardless of deletions.
    `NumericDocValues` | `getNumericDocValues(String field)` Returns `NumericDocValues` for this field, or null if no numeric doc values were indexed for this field.
    `PointValues` | `getPointValues(String field)` Returns the `PointValues` used for numeric or spatial searches for the given field, or null if there are no point fields.
    `IndexReader.CacheHelper` | `getReaderCacheHelper()` Optional method: Return a `IndexReader.CacheHelper` that can be used to cache based on the content of this reader.
    `SortedDocValues` | `getSortedDocValues(String field)` Returns `SortedDocValues` for this field, or null if no `SortedDocValues` were indexed for this field.
    `SortedNumericDocValues` | `getSortedNumericDocValues(String field)` Returns `SortedNumericDocValues` for this field, or null if no `SortedNumericDocValues` were indexed for this field.
    `SortedSetDocValues` | `getSortedSetDocValues(String field)` Returns `SortedSetDocValues` for this field, or null if no `SortedSetDocValues` were indexed for this field.
    `Terms` | `terms(String field)` Returns the `Terms` index for this field, or null if it has none.

    - ### Methods inherited from class org.apache.lucene.index.FilterLeafReader

      `checkIntegrity, doClose, document, getDelegate, getFieldInfos, getLiveDocs, getMetaData, getNormValues, getTermVectors, maxDoc, numDocs, toString, unwrap`

    - ### Methods inherited from class org.apache.lucene.index.LeafReader

      `docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExitableFilterAtomicReader

          public ExitableFilterAtomicReader(LeafReader in,
                                            QueryTimeout queryTimeout)

      Constructor

  - ### Method Detail

    - #### getPointValues

          public PointValues getPointValues(String field)
                                     throws IOException

      Description copied from class: `LeafReader`
      Returns the `PointValues` used for numeric or spatial searches for the given field, or null if there are no point fields.
      Overrides:
        `getPointValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### terms

          public Terms terms(String field)
                      throws IOException

      Description copied from class: `LeafReader`
      Returns the `Terms` index for this field, or null if it has none.
      Overrides:
        `terms` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getReaderCacheHelper

          public IndexReader.CacheHelper getReaderCacheHelper()

      Description copied from class: `IndexReader`
      Optional method: Return a `IndexReader.CacheHelper` that can be used to cache based on the content of this reader. Two readers that have different data or different sets of deleted documents will be considered different.

      A return value of `null` indicates that this reader is not suited for caching, which is typically the case for short-lived wrappers that alter the content of the wrapped reader.

      Specified by:
        `getReaderCacheHelper` in class `IndexReader`

    - #### getCoreCacheHelper

          public IndexReader.CacheHelper getCoreCacheHelper()

      Description copied from class: `LeafReader`
      Optional method: Return a `IndexReader.CacheHelper` that can be used to cache based on the content of this leaf regardless of deletions. Two readers that have the same data but different sets of deleted documents or doc values updates may be considered equal. Consider using `IndexReader.getReaderCacheHelper()` if you need deletions or dv updates to be taken into account.

      A return value of `null` indicates that this reader is not suited for caching, which is typically the case for short-lived wrappers that alter the content of the wrapped leaf reader.

      Specified by:
        `getCoreCacheHelper` in class `LeafReader`

    - #### getNumericDocValues

          public NumericDocValues getNumericDocValues(String field)
                                               throws IOException

      Description copied from class: `LeafReader`
      Returns `NumericDocValues` for this field, or null if no numeric doc values were indexed for this field. The returned instance should only be used by a single thread.
      Overrides:
        `getNumericDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getBinaryDocValues

          public BinaryDocValues getBinaryDocValues(String field)
                                             throws IOException

      Description copied from class: `LeafReader`
      Returns `BinaryDocValues` for this field, or null if no binary doc values were indexed for this field. The returned instance should only be used by a single thread.
      Overrides:
        `getBinaryDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getSortedDocValues

          public SortedDocValues getSortedDocValues(String field)
                                             throws IOException

      Description copied from class: `LeafReader`
      Returns `SortedDocValues` for this field, or null if no `SortedDocValues` were indexed for this field. The returned instance should only be used by a single thread.
      Overrides:
        `getSortedDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getSortedNumericDocValues

          public SortedNumericDocValues getSortedNumericDocValues(String field)
                                                           throws IOException

      Description copied from class: `LeafReader`
      Returns `SortedNumericDocValues` for this field, or null if no `SortedNumericDocValues` were indexed for this field. The returned instance should only be used by a single thread.
      Overrides:
        `getSortedNumericDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getSortedSetDocValues

          public SortedSetDocValues getSortedSetDocValues(String field)
                                                   throws IOException

      Description copied from class: `LeafReader`
      Returns `SortedSetDocValues` for this field, or null if no `SortedSetDocValues` were indexed for this field. The returned instance should only be used by a single thread.
      Overrides:
        `getSortedSetDocValues` in class `FilterLeafReader`
      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.